[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.SingleInstanceClass

Class to use when creating single instance

## Declaration

Source position: custapp.pp line 105

`public property TCustomApplication.SingleInstanceClass : TBaseSingleInstanceClass read FSingleInstanceClass write SetSingleInstanceClass;`

## Description

SingleInstanceClass can be used to set the class used to instantiate SingleInstance. The default class is determined by the global singleinstance default class as specified in #fcl.singleinstance.DefaultSingleInstanceClass.

## See also

TCustomApplication.SingleInstance |  | Single instance used to control single application instance behaviour
DefaultSingleInstanceClass